Index: theoryview/perspectives/theory/basepage.py
===================================================================
--- theoryview/perspectives/theory/basepage.py	(revision 92994554b4d6b16baf5cbd9baad54c7468dc645f)
+++ theoryview/perspectives/theory/basepage.py	(revision f53444be67a3ecdd469504391b3a25e5f27fe368)
@@ -11,5 +11,5 @@
 from sans.guiframe.utils import format_number
 from sans.guiframe.utils import check_float
-from sans.guicomm.events import StatusEvent
+from sans.guiframe.events import StatusEvent
 import pagestate
 from pagestate import PageState
Index: theoryview/perspectives/theory/model_panel.py
===================================================================
--- theoryview/perspectives/theory/model_panel.py	(revision fc292d39a7b03c0602c34af855da12c4fb8ef90a)
+++ theoryview/perspectives/theory/model_panel.py	(revision f53444be67a3ecdd469504391b3a25e5f27fe368)
@@ -8,5 +8,5 @@
 from sans.models.dispersion_models import ArrayDispersion
 from sans.models.dispersion_models import GaussianDispersion
-from sans.guicomm.events import StatusEvent   
+from sans.guiframe.events import StatusEvent   
 from sans.guiframe.utils import format_number
 import basepage
Index: theoryview/perspectives/theory/model_thread.py
===================================================================
--- theoryview/perspectives/theory/model_thread.py	(revision 74755ffa1ce766f8db2e7443abc981f716782e5c)
+++ theoryview/perspectives/theory/model_thread.py	(revision f53444be67a3ecdd469504391b3a25e5f27fe368)
@@ -1,6 +1,8 @@
+
 import time
+import sys
+import numpy
+import math
 from data_util.calcthread import CalcThread
-import sys
-import numpy,math
 
 class Calc2D(CalcThread):
Index: theoryview/perspectives/theory/models.py
===================================================================
--- theoryview/perspectives/theory/models.py	(revision 1cc23fd237427df8d181cc31d6274d361a54ca83)
+++ theoryview/perspectives/theory/models.py	(revision f53444be67a3ecdd469504391b3a25e5f27fe368)
@@ -5,20 +5,23 @@
 
 """
+
+import imp
+import os
+import sys
+import math
+# Time is needed by the log method
+import time
+import os.path
 import wx
 import wx.lib.newevent
-import imp
-import os,sys,math
-import os.path
-
-(ModelEvent, EVT_MODEL) = wx.lib.newevent.NewEvent()
-from sans.guicomm.events import StatusEvent  
-# Time is needed by the log method
-import time
-
+from sans.guiframe.events import StatusEvent  
 # Explicitly import from the pluginmodel module so that py2exe
 # places it in the distribution. The Model1DPlugin class is used
 # as the base class of plug-in models.
 from sans.models.pluginmodel import Model1DPlugin
-    
+
+(ModelEvent, EVT_MODEL) = wx.lib.newevent.NewEvent()
+
+
 def log(message):
     """
Index: theoryview/perspectives/theory/profile_dialog.py
===================================================================
--- theoryview/perspectives/theory/profile_dialog.py	(revision fb59ed90d8d3e021f0f291a9064098aae148158d)
+++ theoryview/perspectives/theory/profile_dialog.py	(revision f53444be67a3ecdd469504391b3a25e5f27fe368)
@@ -1,12 +1,15 @@
+
+
+
 import wx
 import sys
-
+import pylab
 from copy import deepcopy
 from danse.common.plottools.PlotPanel import PlotPanel
 from danse.common.plottools.plottables import Graph
 from sans.guiframe.dataFitting import Theory1D
-import pylab
 
-DEFAULT_CMAP= pylab.cm.jet
+
+DEFAULT_CMAP = pylab.cm.jet
 
 _BOX_WIDTH = 76
@@ -15,5 +18,5 @@
 
 #SLD panel size 
-if sys.platform.count("win32")>0:
+if sys.platform.count("win32") > 0:
     _STATICBOX_WIDTH = 380
     PANEL_SIZE = 475
Index: theoryview/perspectives/theory/theory.py
===================================================================
--- theoryview/perspectives/theory/theory.py	(revision 2f60121365e0ece9b765fb57a132cf4e4b3a15a4)
+++ theoryview/perspectives/theory/theory.py	(revision f53444be67a3ecdd469504391b3a25e5f27fe368)
@@ -9,6 +9,6 @@
 import model_panel
 from model_panel import ModelPanel
-from sans.guicomm.events import NewPlotEvent
-from sans.guicomm.events import StatusEvent 
+from sans.guiframe.events import NewPlotEvent
+from sans.guiframe.events import StatusEvent 
 from sans.guiframe.dataFitting import Data2D
 from sans.guiframe.dataFitting import Theory1D
